Bug 1419012 (CVE-2016-10162) - CVE-2016-10162 php: Null pointer dereference when unserializing PHP object
Summary: CVE-2016-10162 php: Null pointer dereference when unserializing PHP object
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419021 1554540
Blocks: 1419023
TreeView+ depends on / blocked
 
Reported: 2017-02-03 12:25 UTC by Adam Mariš
Modified: 2020-03-11 15:44 UTC (History)
14 users (show)

Fixed In Version: php 5.6.30, php 7.0.15, php 7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 16:39:51 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1296 0 None None None 2018-05-03 05:06:25 UTC

Description Adam Mariš 2017-02-03 12:25:57 UTC
The php_wddx_pop_element function in ext/wddx/wddx.c in PHP 7.0.x before 7.0.15 and 7.1.x before 7.1.1 allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) via an inapplicable class name in a wddxPacket XML document, leading to mishandling in a wddx_deserialize call.

Upstream bug:

https://bugs.php.net/bug.php?id=73831

Upstream patch:

https://github.com/php/php-src/commit/8d2539fa0faf3f63e1d1e7635347c5b9e777d47b

Comment 1 Adam Mariš 2017-02-03 12:50:23 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1419021]

Comment 2 Adam Mariš 2017-02-03 12:52:48 UTC
This issue happens when untrusted input is unserialized. Doing so is documented as being unsafe:

  http://php.net/manual/en/function.unserialize.php

  Do not pass untrusted user input to unserialize(). Unserialization can
  result in code being loaded and executed due to object instantiation and
  autoloading, and a malicious user may be able to exploit this. Use a safe,
  standard data interchange format such as JSON (via json_decode() and
  json_encode()) if you need to pass serialized data to the user.

Comment 4 errata-xmlrpc 2018-05-03 05:06:16 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1296 https://access.redhat.com/errata/RHSA-2018:1296


Note You need to log in before you can comment on or make changes to this bug.